Bug 1025896 - [abrt] gnome-shell-3.10.1-1.fc20: g_error_free: Process /usr/bin/gnome-shell was killed by signal 6 (SIGABRT)
[abrt] gnome-shell-3.10.1-1.fc20: g_error_free: Process /usr/bin/gnome-shell ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:26b42e167f73a2736a634585952...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 16:46 EDT by Paul Knox-Kennedy
Modified: 2015-06-29 08:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.72 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: core_backtrace (22.29 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: dso_list (23.60 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: environ (1.55 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: maps (65.57 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: open_fds (4.43 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: proc_pid_status (803 bytes, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details
File: var_log_messages (10.34 KB, text/plain)
2013-11-01 16:47 EDT, Paul Knox-Kennedy
no flags Details

  None (edit)
Description Paul Knox-Kennedy 2013-11-01 16:46:54 EDT
Description of problem:
Happened a few times today, most recently pressed the windows key, selected show all apps, but gnome shell has been crashing on this box for the last day or so.

Version-Release number of selected component:
gnome-shell-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_error_free
executable:     /usr/bin/gnome-shell
kernel:         3.11.6-301.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 g_error_free at gerror.c:476
 #8 cogl_error_free at ./cogl-error.c:40
 #9 cogl_texture_new_with_size at ./cogl-auto-texture.c:117
 #10 data_to_cogl_handle at st/st-texture-cache.c:542
 #11 pixbuf_to_cogl_handle at st/st-texture-cache.c:568
 #12 finish_texture_load at st/st-texture-cache.c:612
 #13 on_icon_loaded at st/st-texture-cache.c:658
 #14 g_task_return_now at gtask.c:1108
 #15 complete_in_idle_cb at gtask.c:1117
 #21 meta_run at core/main.c:556
Comment 1 Paul Knox-Kennedy 2013-11-01 16:47:03 EDT
Created attachment 818463 [details]
File: backtrace
Comment 2 Paul Knox-Kennedy 2013-11-01 16:47:07 EDT
Created attachment 818464 [details]
File: cgroup
Comment 3 Paul Knox-Kennedy 2013-11-01 16:47:11 EDT
Created attachment 818465 [details]
File: core_backtrace
Comment 4 Paul Knox-Kennedy 2013-11-01 16:47:14 EDT
Created attachment 818466 [details]
File: dso_list
Comment 5 Paul Knox-Kennedy 2013-11-01 16:47:18 EDT
Created attachment 818467 [details]
File: environ
Comment 6 Paul Knox-Kennedy 2013-11-01 16:47:22 EDT
Created attachment 818468 [details]
File: limits
Comment 7 Paul Knox-Kennedy 2013-11-01 16:47:26 EDT
Created attachment 818469 [details]
File: maps
Comment 8 Paul Knox-Kennedy 2013-11-01 16:47:30 EDT
Created attachment 818470 [details]
File: open_fds
Comment 9 Paul Knox-Kennedy 2013-11-01 16:47:33 EDT
Created attachment 818471 [details]
File: proc_pid_status
Comment 10 Paul Knox-Kennedy 2013-11-01 16:47:37 EDT
Created attachment 818472 [details]
File: var_log_messages
Comment 11 Pant 2014-01-08 09:10:51 EST
Another user experienced a similar problem:

Pressed 'super' button and gnome lags.

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: g_error_free
executable:     /usr/bin/gnome-shell
kernel:         3.12.5-302.fc20.i686
package:        gnome-shell-3.10.2.1-3.fc20
reason:         gnome-shell killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Fedora End Of Life 2015-05-29 05:40:30 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 08:47:19 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.